petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDACreatePatchIS

Creates an index set corresponding to a patch of the DA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreatePatchIS(DM da,MatStencil *lower,MatStencil *upper,IS *is)

Not Collective

### Input Parameters

| da | - the DMDA
| lower | - a matstencil with i, j and k corresponding to the lower corner of the patch
| upper | - a matstencil with i, j and k corresponding to the upper corner of the patch

### Output Parameters

is -the IS corresponding to the patch

### See Also

DMDACreateDomainDecomposition(), DMDACreateDomainDecompositionScatters()

### Level

developer

### Location

src/dm/impls/da/dadd.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages